import axios from 'axios';
const baseUri = "/sound/zone/noiseSource";
const listAllUrl = baseUri + "";

// 添加
const saveSource = function (data) {
    return axios.post("/sound/zone/noiseSource",data)
}

// 删除
const removeSource = function (id) {
    return axios.delete(`/sound/zone/noiseSource/${id}`,)
}
// 批量删除
const removeBatchSource = function (ids) {
    return axios.delete("/sound/zone/noiseSource/batch",{data:ids})
}

// 修改
const updateSource = function (data) {
    return axios.put("/sound/zone/noiseSource",data)
}
const getColumnOptions = function(column){
    return axios.get("/sound/zone/noiseSource/options",{params:{column}})
}

const copyBatchSource = function (data){
    return axios.post("/sound/zone/noiseSource/copyBatch",data)
}


export {
    listAllUrl,
    saveSource,
    updateSource,
    removeBatchSource,
    removeSource,
    getColumnOptions,
    copyBatchSource

}
